| Flutter macOS Embedder |

Classes | Functions
FlutterBinaryMessengerRelayTest.mm File Reference
`#import "flutter/shell/platform/darwin/common/framework/Source/FlutterBinaryMessengerRelay.h"`
`#import <OCMock/OCMock.h>`
`#import "flutter/shell/platform/darwin/common/framework/Headers/FlutterMacros.h"`
`#import "flutter/shell/platform/darwin/common/framework/Source/FlutterTestUtils.h"`
`#import "flutter/shell/platform/darwin/ios/flutter_task_queue_dispatch.h"`
`#import "flutter/testing/testing.h"`
`#include "gtest/gtest.h"`

Go to the source code of this file.

## Classes
class | FlutterBinaryMessengerRelayTest

## Functions
| TEST (FlutterBinaryMessengerRelayTest, Create)
| TEST (FlutterBinaryMessengerRelayTest, PassesCallOn)
| TEST (FlutterBinaryMessengerRelayTest, DoesntPassCallOn)
| TEST (FlutterBinaryMessengerRelayTest, SetMessageHandlerWithTaskQueue)
| TEST (FlutterBinaryMessengerRelayTest, SetMakeBackgroundTaskQueue)

## Function Documentation

## ◆ TEST() [1/5]

TEST | ( | FlutterBinaryMessengerRelayTest | ,
|  | Create |
| ) |  |

Definition at line 76 of file FlutterBinaryMessengerRelayTest.mm.

76 {
77 ASSERT_FALSE(FLTThrowsObjcException(^{
78 [[FlutterBinaryMessengerRelayTest alloc] testCreate];
79 }));
80 }
FLTThrowsObjcException
BOOL FLTThrowsObjcException(dispatch_block_t block)
Returns YES if the block throws an exception.
Definition: FlutterTestUtils.mm:11
FlutterBinaryMessengerRelayTest
Definition: FlutterBinaryMessengerRelayTest.mm:18

References FLTThrowsObjcException().

## ◆ TEST() [2/5]

TEST | ( | FlutterBinaryMessengerRelayTest | ,
|  | DoesntPassCallOn |
| ) |  |

Definition at line 88 of file FlutterBinaryMessengerRelayTest.mm.

88 {
89 ASSERT_FALSE(FLTThrowsObjcException(^{
90 [[FlutterBinaryMessengerRelayTest alloc] testDoesntPassCallOn];
91 }));
92 }

References FLTThrowsObjcException().

## ◆ TEST() [3/5]

TEST | ( | FlutterBinaryMessengerRelayTest | ,
|  | PassesCallOn |
| ) |  |

Definition at line 82 of file FlutterBinaryMessengerRelayTest.mm.

82 {
83 ASSERT_FALSE(FLTThrowsObjcException(^{
84 [[FlutterBinaryMessengerRelayTest alloc] testPassesCallOn];
85 }));
86 }

References FLTThrowsObjcException().

## ◆ TEST() [4/5]

TEST | ( | FlutterBinaryMessengerRelayTest | ,
|  | SetMakeBackgroundTaskQueue |
| ) |  |

Definition at line 100 of file FlutterBinaryMessengerRelayTest.mm.

100 {
101 ASSERT_FALSE(FLTThrowsObjcException(^{
102 [[FlutterBinaryMessengerRelayTest alloc] testMakeBackgroundTaskQueue];
103 }));
104 }

References FLTThrowsObjcException().

## ◆ TEST() [5/5]

TEST | ( | FlutterBinaryMessengerRelayTest | ,
|  | SetMessageHandlerWithTaskQueue |
| ) |  |

Definition at line 94 of file FlutterBinaryMessengerRelayTest.mm.

94 {
95 ASSERT_FALSE(FLTThrowsObjcException(^{
96 [[FlutterBinaryMessengerRelayTest alloc] testSetMessageHandlerWithTaskQueue];
97 }));
98 }

References FLTThrowsObjcException().